GaussLaguerreIntegration Class Reference

generalized Gauss-Laguerre integration More...

`#include <ql/math/integrals/gaussianquadratures.hpp>`

Inheritance diagram for GaussLaguerreIntegration:
[legend]

## Public Member Functions

| GaussLaguerreIntegration (Size n, Real s=0.0)
Public Member Functions inherited from GaussianQuadrature
| GaussianQuadrature (Size n, const GaussianOrthogonalPolynomial &p)
template<class F >
Real | operator() (const F &f) const
Size | order () const
const Array & | weights ()
const Array & | x ()

## Additional Inherited Members

Protected Attributes inherited from GaussianQuadrature
Array | x_
Array | w_

## Detailed Description

generalized Gauss-Laguerre integration

This class performs a 1-dimensional Gauss-Laguerre integration.

\[ \int_{0}^{\inf} f(x) \mathrm{d}x \]

The weighting function is

\[ w(x;s)=x^s \exp{-x} \]

and

\[ s > -1 \]